part of tecfy_basic_package;

class OperationResult<T> {
  bool success;
  T data;
  String message;
  String errorCodeString;
  OperationResult(
      {this.success = false, this.data, this.message, this.errorCodeString});

  showMessage(BuildContext context, [String generalMessage]) async {
    if (message != null && message.isNotEmpty)
      AppNavigator.showMessage(context, message);
    else if (generalMessage != null && generalMessage.isNotEmpty)
      AppNavigator.showMessage(context, generalMessage);
  }

  @override
  toString() {
    if (success == true)
      return '>>>>> Success, Data: $data';
    else
      return 'XXXXX FAILED:  Message: $message';
  }
}
