part of tecfy_basic_package;

class Property extends BaseModel {
  String label;
  String code;
  PropertyType type;
  String Function(String) validator;

  // in case of test
  TextInputType keyboardType;
  bool isPassword;
  int maxLines;
  TextInputAction textInputAction;

  // in case of dropdown
  List<BaseModel> options;

  Property(this.code, this.type,
      {this.label = '',
      this.validator,
      this.keyboardType = TextInputType.text,
      this.isPassword = false,
      this.maxLines = 1,
      this.textInputAction = TextInputAction.done,
      this.options});

  @override
  String get displayName => label;

  @override
  String get idValue => code;
}
